• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

「サーバーの用意」の版間の差分

提供: WordPress Codex 日本語版
移動先: 案内検索
(en:Hosting WordPress 13:38, 20 Apr 2007 MichaelH 版)
 
(MariaDB の記述などを更新。)
 
(4人の利用者による、間の15版が非表示)
1行目: 1行目:
Most [[Glossary#Hosting_provider|hosting providers]] and personal installations on [[Glossary#Unix|Unix]]/[[Glossary#Linux|Linux]] systems should be able to host WordPress under very common configurations.
+
{{スタートガイド|準備}}
  
== Server requirements ==
+
WordPress は、たいていの[[用語集#Hosting provider|ホスティングサービス]](レンタルサーバ)や、個人で立ち上げた [[用語集#Unix|Unix]]/[[用語集#Linux|Linux]] でのごく一般的な環境において設置が可能です。
{{Server requirements}}
+
== Recommended setup ==
+
We recommend [[Glossary#Linux|Linux]] with either the [[Glossary#Apache|Apache]] or [http://litespeedtech.com/ LiteSpeed] web-servers as the most robust platforms for running WordPress, but any server that supports [[Glossary#PHP|PHP]] and [[Glossary#MySQL|MySQL]] will do. If your host doesn't support one of these platforms, and <tt>[[Glossary#mod_rewrite|mod_rewrite]]</tt>, you will probably be better off switching to one of the many [[Glossary#Hosting_provider|hosting providers]] that do offer those choices.
+
  
It is also '''essential''' that your host allows remote connections.
+
<div id=" Server_requirements">
 +
== サーバー要件 ==
 +
</div>
  
== Hosting providers ==
+
{{サーバー要件}}
Hosting is a commodity these days and with a little digging it's easy to find a host that supports the above. If you're looking for hosting suggestions, please try:
+
* [http://wordpress.org/hosting/ WordPress Recommended Hosts] - these hosts support WordPress, in more ways than one.
+
* Searching the WordPress [http://wordpress.org/support/ support forums] for recommendations
+
  
== Install4Free - WordPress installed for free on your host! ==
+
古い PHP や MySQL しか利用できないレガシーな環境でも、PHP 5.2.4 以上、かつ MySQL 5.0 以上であれば WordPress は動作しますが、公式サポートは終了しており、サイトがセキュリティの脆弱性にさらされる危険があります。このため、以下の推奨設定に従いホスティングサービスがサポートしている最新版の MySQL/MariaDB と PHP を使うことが最善です。
If you have a hosting provider or website which meets all the requirements, but don't feel comfortable doing the installation yourself, request a free installation at [http://install4free.wordpress.net WordPress Install4Free].
+
  
 +
<div id="Recommended setup">
 +
== 推奨構成 ==
 +
</div>
  
[[Category:Installation]]
+
おすすめは [[用語集#Apache|Apache]] または [http://nginx.net/ NGINX] ウェブサーバーの載った堅牢な [[用語集#Linux|Linux]] OS の構成です。[[用語集#PHP|PHP]] と [[用語集#MySQL|MySQL]]/[[用語集#MariaDB|MariaDB]] をサポートしているサーバーであればほぼ確実に動作するはずです。あなたのサーバがこのプラットフォームと <code>[[用語集#mod_rewrite|mod_rewrite]]</code> をサポートしていない場合、これらを提供している [[用語集#Hosting provider|ホスティングサービス]](レンタルサーバー) に乗り換えたほうがいいでしょう。
[[Category:Getting Started]]
+
 
 +
サーバーへのリモート接続が許可されていることも'''必須'''条件です。ホスティングサービスが外部に向けた HTTP 接続をブロックしている場合、WordPress でうまく動作しない部分がたくさんあるでしょう。
 +
 
 +
'''推奨サーバ環境:'''
 +
* PHPバージョン 5.6 以上
 +
* MySQL 5.6/MariaDB 10.0 以上
 +
 
 +
<div id="Hosting providers">
 +
 
 +
== ホスティングサービス(レンタルサーバー) ==
 +
</div>
 +
 
 +
最近はサーバースペースレンタルの需要が多いので、上記サーバ要件を満たすサーバーを見つけやすくなりました。候補がほしいときは次のページからどうぞ。
 +
* [[レンタルサーバー情報]] - WordPress の稼動例のあるサーバー情報(日本語)
 +
* [http://wordpress.org/hosting/ WordPress Recommended Hosts] - WordPress に対応しているサーバー各種(英語)
 +
 
 +
{{原文|Hosting WordPress|156399}} <!--13:07, 4 April 2016 Iangilfillan 版 -->
 +
 
 +
{{DEFAULTSORT:さあはのようい}}
 +
[[Category:設置]]
 +
[[Category:初心者向けトピック]]
 +
 
 +
[[bs:Hosting WordPressa]]
 +
[[en:Hosting WordPress]]
 +
[[fr:Heberger WordPress]]
 +
[[ja:サーバの用意]]
 +
[[nl:Hosting WordPress]]
 +
[[pt-br:Hospedando o WordPress]]
 +
[[ru:Хостинг для WordPress]]
 +
[[sk:Hosting WordPress]]
 +
[[th:โฮสท์ที่รองรับเวิร์ดเพรส]]
 +
[[zh-cn:WordPress 网站主机]]
 +
[[zh-tw:WordPress網站主機]]
 +
[[tr:WordPress Hosting]]

2016年4月14日 (木) 16:19時点における最新版

WordPress は、たいていのホスティングサービス(レンタルサーバ)や、個人で立ち上げた Unix/Linux でのごく一般的な環境において設置が可能です。


バージョン 3.2 系以降

  • PHP バージョン 5.2.4 以上
  • MySQL バージョン 5.0.15 以上または MariaDB (バージョン問わず)

バージョン 2.9〜3.1 系

  • PHP バージョン 4.3 以上
  • MySQL バージョン 4.1.2 以上

共通オプション

上記すべてのバージョンに共通する、特定の機能を使う場合に必要なオプション。


» 旧バージョンのサーバ要件


古い PHP や MySQL しか利用できないレガシーな環境でも、PHP 5.2.4 以上、かつ MySQL 5.0 以上であれば WordPress は動作しますが、公式サポートは終了しており、サイトがセキュリティの脆弱性にさらされる危険があります。このため、以下の推奨設定に従いホスティングサービスがサポートしている最新版の MySQL/MariaDB と PHP を使うことが最善です。

おすすめは Apache または NGINX ウェブサーバーの載った堅牢な Linux OS の構成です。PHPMySQL/MariaDB をサポートしているサーバーであればほぼ確実に動作するはずです。あなたのサーバがこのプラットフォームと mod_rewrite をサポートしていない場合、これらを提供している ホスティングサービス(レンタルサーバー) に乗り換えたほうがいいでしょう。

サーバーへのリモート接続が許可されていることも必須条件です。ホスティングサービスが外部に向けた HTTP 接続をブロックしている場合、WordPress でうまく動作しない部分がたくさんあるでしょう。

推奨サーバ環境:

  • PHPバージョン 5.6 以上
  • MySQL 5.6/MariaDB 10.0 以上

ホスティングサービス(レンタルサーバー)

最近はサーバースペースレンタルの需要が多いので、上記サーバ要件を満たすサーバーを見つけやすくなりました。候補がほしいときは次のページからどうぞ。

最新英語版: WordPress Codex » Hosting WordPress最新版との差分